%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Fedora "Spin" Graphical User Interface
Name: revisor
Version: 2.0.5
Release: 9%{?dist}
License: GPLv2
Group: Applications/System
URL: https://hosted.fedoraproject.org/projects/revisor
Source0: http://files.revisor.fedoraunity.org/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: revisor-comps = %{version}-%{release}
# GUI Requirements
Requires: pygtk2 >= 2.9.2, pygtk2-libglade, gnome-python2-gconf
# Package Management Requirements
Requires: yum >= 3, comps-extras, createrepo
# Translation
Requires: rhpl
# Kickstart
Requires: system-config-kickstart, pykickstart
# Compose tools
Requires: livecd-tools, anaconda-runtime, squashfs-tools, busybox-anaconda
# Other
Requires: notify-python
Requires: usermode
Requires: pam
Requires: python >= 2.4
# At least these requirements are invalid for EPEL
Conflicts: fedora-release < 7
Conflicts: centos-release < 5
# Can't conflict with this one!
#Conflicts: redhat-release < 5
BuildArch: noarch
ExcludeArch: ppc ppc64
BuildRequires: intltool, gettext, python, desktop-file-utils

%description
Revisor provides a set of graphical tools for building customized, updated
Fedora "Spins". This tool has been built around two other projects. First
is pungi, which builds the installation media. The other is livecd-tools,
which builds the live image.

%package comps
Summary:    Revisor Comps Files
Group:      Applications/System
Requires:   revisor = %{version}-%{release}

%description comps
A number of comps files, as up-to-date as possible

%package cobbler
Summary:    Revisor Cobbler Integration
Group:      Applications/System
Requires:   cobbler, koan, revisor = %{version}-%{release}

%description cobbler
Revisor Integration with Cobbler for having Revisor do DHCP, PXE,
Xen and KVM stuff.

%package delta
Summary:    Revisor Deltarpm Integration
Group:      Applications/System
Requires:   deltarpm, revisor = %{version}-%{release}

%description delta
Revisor Integration with deltarpm for generating delta ISO images.

%package virt
Summary:    Revisor Virtualization Media Features
Group:      Applications/System
Requires:   python-virtinst, revisor = %{version}-%{release}

%description virt
Revisor Virtualization Media Features for provisioning virtual guests

%package jigdo
Summary:    Revisor Integration with Jigdo
Group:      Applications/System
Requires:   jigdo, revisor = %{version}-%{release}

%description jigdo
Pre-Alpha of Revisor Integration with Jigdo for distributing your compose

%package rebrand
Summary:    Revisor Rebranding Fedora Utilies
Group:      Applications/System
Requires:   revisor = %{version}-%{release}, rpmdevtools, rpm-build

%description rebrand
Utilities for Revisor to support rebranding Fedora

%prep
%setup -q

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install --vendor="fedora"              \
  --delete-original                                 \
  --dir=%{buildroot}%{_datadir}/applications        \
  %{buildroot}/%{_datadir}/applications/revisor.desktop

# Remove files not going out for release
#rm -rf $RPM_BUILD_ROOT%{python_sitelib}/revisor/modjigdo
#rm -rf $RPM_BUILD_ROOT%{python_sitelib}/revisor/modrebrand
#rm -rf $RPM_BUILD_ROOT%{python_sitelib}/revisor/modvirt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README NEWS AUTHORS COPYING
%dir %{python_sitelib}/revisor
%{python_sitelib}/revisor/*.py
%{python_sitelib}/revisor/*.pyc
%{python_sitelib}/revisor/*.pyo
%{_bindir}/*
%{_sbindir}/*
%dir %{_sysconfdir}/revisor
%dir %{_sysconfdir}/revisor/conf.d
%config(noreplace) %{_sysconfdir}/revisor/revisor.conf
%config(noreplace) %{_sysconfdir}/revisor/conf.d/*
%config(noreplace) %{_sysconfdir}/pam.d/*
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%{_datadir}/applications/*.desktop
%{_datadir}/locale/*/LC_MESSAGES/revisor.mo
%dir %{_datadir}/revisor
%dir %{_datadir}/revisor/ui
%dir %{_datadir}/revisor/pixmaps
%{_datadir}/revisor/ui/*
%{_datadir}/revisor/pixmaps/*
%{_datadir}/pixmaps/*

%files comps
%dir %{_datadir}/revisor/comps/
%{_datadir}/revisor/comps/*
%{_datadir}/revisor/comps-cleanup.xsl

%files cobbler
%defattr(-,root,root,-)
%dir %{python_sitelib}/revisor/modcobbler
%{python_sitelib}/revisor/modcobbler/*.py
%{python_sitelib}/revisor/modcobbler/*.pyc
%{python_sitelib}/revisor/modcobbler/*.pyo

%files delta
%defattr(-,root,root,-)
%dir %{python_sitelib}/revisor/moddelta
%{python_sitelib}/revisor/moddelta/*.py
%{python_sitelib}/revisor/moddelta/*.pyc
%{python_sitelib}/revisor/moddelta/*.pyo

%files virt
%defattr(-,root,root,-)
%dir %{python_sitelib}/revisor/modvirt
%{python_sitelib}/revisor/modvirt/*.py
%{python_sitelib}/revisor/modvirt/*.pyc
%{python_sitelib}/revisor/modvirt/*.pyo

%files jigdo
%defattr(-,root,root,-)
%dir %{python_sitelib}/revisor/modjigdo
%{python_sitelib}/revisor/modjigdo/*.py
%{python_sitelib}/revisor/modjigdo/*.pyc
%{python_sitelib}/revisor/modjigdo/*.pyo

%files rebrand
%defattr(-,root,root,-)
%dir %{python_sitelib}/revisor/modrebrand
%{python_sitelib}/revisor/modrebrand/*.py
%{python_sitelib}/revisor/modrebrand/*.pyc
%{python_sitelib}/revisor/modrebrand/*.pyo
%dir %{_datadir}/revisor/rebrand-template
%{_datadir}/revisor/rebrand-template/*

%changelog
* Tue Nov 13 2007 Jeroen van Meeuwen <kanarip a fedoraunity.org> 2.0.5-9
- Minor bugfixes in packaging
- Other minor fixes

* Sat Oct 20 2007 Jonathan Steffan <jon a fedoraunity.org> 2.0.5-5
- Update spec for release

* Tue Oct 02 2007 Jeroen van Meeuwen <kanarip a fedoraunity.org> 2.0.5-3
- Bugfixes to x86_64 packageSack creation
- Bugfixes

* Fri Sep 07 2007 Jeroen van Meeuwen <kanarip a fedoraunity.org> 2.0.4.3-7
- Bugfixes
- Removed pungi dependency
- Added kickstart interfacing for pykickstart API differences
- Enable Revisor to run in CLI mode on Enterprise Linux 5
- Split comps in their own package
- Add rebrand module
- Fixed pkgorder, copy_dir
- Development release

* Thu Aug 09 2007 Jeroen van Meeuwen <kanarip a fedoraunity.org> 2.0.4.2-1
- Added Source RPM Tree for Installation Media
- Rebased livecd-tools and created/submitted the necessary patches
- Added pre-alpha jigdo sub-package
- Disable jigdo, virt and dual media compose for release
- Lots of bug fixes
- Fixed up some features

* Thu Jul 26 2007 Jeroen van Meeuwen <kanarip a fedoraunity.org> 2.0.4.2-1rc1
- Adding a workaround fix for yum issues

* Tue Jul 10 2007 Jonathan Steffan <jon a fedoraunity.org> 2.0.4.1-2
- Trivial specfile change
- Added one for one delta suport

* Sun Jul 01 2007 Jeroen van Meeuwen <kanarip a fedoraunity.org> 2.0.4.1-1rc2
- Adding cobbler support for CLI mode
- Fixing pkgorder issue
- Fixing inefficient pkgorder
- Adding Enterprise Linux configuration files
- Moving some packages to be suggested instead of required
- Fixed progress bar during ISO creation
- Fixed SHA1SUM file not having all ISOs
- Adding full support for installation tree and cleanup

* Wed Jun 27 2007 Jonathan Steffan <jon a fedoraunity.org> 2.0.4.0-1
- Bugfixes from 2.0.3.x
- Start of all the new features of 2.0.4

* Sun Jun 24 2007 Jeroen van Meeuwen <kanarip a fedoraunity.org> 2.0.3.12-1
- Removed excludearchs ppc, ppc64 and added some logic to the spec file
  including a patch to disable livecd composure.
- Fixed bug in repository configuration
- Re-enabled CLI

* Sat Jun 23 2007 Jeroen van Meeuwen <kanarip a fedoraunity.org> 2.0.3.11-1
- Adding comps-f7 to our distribution
- Removing pungi configuration files
- Fixed a major bug in unlinking / unmounting the left-overs of a previous
  live media run.
- Enabled translation
- Added ExcludeArch: ppc, ppc64. Our dependency livecd-tools is not available
  for these archs.

* Sun Jun 17 2007 Jonathan Steffan <jon a fedoraunity.org> 2.0.3.10-1
- Final round of fixes for 2.0.3.x
- Added requirement for fedora-release >= 7

* Sun Jun 10 2007 Jeroen van Meeuwen <kanarip a fedoraunity.org> 2.0.3.9-1
- Bugfixes, more bugfixes

* Thu Jun 07 2007 Jonathan Steffan <jon a fedoraunity.org> 2.0.3.8-1
- Updated to 2.0.3.8
- More major bugfixes

* Tue Jun 05 2007 Jeroen van Meeuwen <kanarip a fedoraunity.org> 2.0.3.7-1
- Major bugfixes and speed improvements - tagging for reference purposes
- Added /etc/revisor/comps-fc6.xml as a %%config file

* Thu May 31 2007 Jonathan Steffan <jon a fedoraunity.org> 2.0.3.6-1
- Updated with all combined changes for release
- Fixed up configs
- Added fc6 comps data
- Bug fixes from LinuxTag

* Wed May 30 2007 Jeroen van Meeuwen <kanarip a fedoraunity.org> 2.0.3-1
- Repackage for release

* Thu May 24 2007 Jonathan Steffan <jon a fedoraunity.org> 2.0.2-3
- Added desktop-file-install and needed BR
- Updated for COPYING
- Updated revisor.desktop

* Thu May 17 2007 Jeroen van meeuwen <kanarip a fedoraunity.org> 2.0.2-2
- Rebuild

* Tue May 08 2007 Jeroen van Meeuwen <kanarip a fedoraunity.org> 2.0.2-1
- Final beta version for RH Summit 2007, San Diego

* Mon May 07 2007 Jeroen van Meeuwen <kanarip a fedoraunity.org> 2.0.1-5
- Fixed configuration files
- New files added

* Mon Apr 30 2007 Jonathan Steffan <jon a fedoraunity.org> 2.0.1-4
- Fixed symlink to consolehelper relative path instead of aboslute
  path in Makefile, rather then specfile
- Added missing s-c-kickstart dep
- Fixed shipped config files to be more targeted for end users

* Tue Apr 17 2007 Jef Spaleta <jspaleta@gmail.com> 2.0.1-3
- Specfile cleanup for fedora package submission review
- remove makeinstall macro
- add usermode and pam requires
- removed desktop-update-database scriptlets and associated deps

* Mon Apr 16 2007 Jeroen van Meeuwen <kanarip a fedoraunity.org> 2.0.1-2
- Corrected some file locations
- Build for F7

* Wed Apr 11 2007 Jonathan Steffan <jon a fedoraunity.org> 2.0.1-1
- Updated for the new revisor 2.x

* Sat Feb 17 2007 Jonathan Steffan <jon a fedoraunity.org> 1.0.2-1
- Updated config (in)sanity
- Added some configuration options

* Thu Feb 15 2007 Jonathan Steffan <jon a fedoraunity.org> 1.0.1-1
- Added a "Select All" button to help ease full distro Re-Spins

* Wed Feb 14 2007 Jonathan Steffan <jon a fedoraunity.org> 1.0-2
- Cleaned up code to include as little duplicate Pirut code as
  possible.
- Updated config file to default to mirrorlist

* Mon Feb 12 2007 Jonathan Steffan <jon a fedoraunity.org> 1.0-1
- Initial build based on pirutspin 1.0-1

